Difference between revisions of "Template:Frac/styles.css"

From blackwiki
Jump to navigation Jump to search
imported>Izno
(shrink down to current sandbox)
imported>Izno
(add scrap)
Line 1: Line 1:
.frac {
+
.frac,
 +
.sfrac {
 
white-space: nowrap;
 
white-space: nowrap;
 
}
 
}
Line 17: Line 18:
 
.frac .den {
 
.frac .den {
 
bottom: -0.25em;
 
bottom: -0.25em;
 +
}
 +
 +
.sfrac .tion {
 +
display: inline-block;
 +
vertical-align: -0.5em;
 +
font-size: 85%;
 +
text-align: center;
 +
}
 +
 +
.sfrac .num,
 +
.sfrac .den {
 +
display: block;
 +
line-height: 1em;
 +
margin: 0 0.1em;
 +
}
 +
 +
.sfrac .den {
 +
border-top: 1px solid;
 
}
 
}
  

Revision as of 14:13, 14 December 2020

.frac,
.sfrac {
	white-space: nowrap;
}

.frac .num,
.frac .den {
	font-size: 80%;
	line-height: 0;
	position: relative;
	vertical-align: baseline;
}

.frac .num {
	top: -0.5em;
}

.frac .den {
	bottom: -0.25em;
}

.sfrac .tion {
	display: inline-block;
	vertical-align: -0.5em;
	font-size: 85%;
	text-align: center;
}

.sfrac .num,
.sfrac .den {
	display: block;
	line-height: 1em;
	margin: 0 0.1em;
}

.sfrac .den {
	border-top: 1px solid;
}

/* [[Template:Sronly]] is canonical implementation */
.sr-only {
	border: 0;
	clip: rect(0, 0, 0, 0);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute;
	width: 1px;
	/* white-space: nowrap; /* already have nowrap above */
}